commandwindow
clear
clc
close all
syms t
E1=('Dy+3*x=exp(-2*t)')
E2=('Dx-3*y=exp(2*t)')
[x,y]=dsolve(E1,E2,'x(0)=30','y(0)=30')
x =(3*exp(-2*t))/13 + (2*exp(2*t))/13 + (5*12170^(1/2)*cos(3*t - atan(79/77)))/13
y =(5*12170^(1/2)*cos(3*t + atan(77/79)))/13 - (3*exp(2*t))/13 - (2*exp(-2*t))/13
tn=[0:0.1:3.5]
xn=subs(x,tn)
yn=subs(y,tn)
figure(1)
plot(tn,xn,tn,yn)
axis tight
grid on
grid minor
xlabel("Time")
ylabel("System Response")
legend('T1','T2')